#install.packages("devtools")
#library(devtools)
#devtools::install_github("mikehellstern/netgsa")

library(netgsa)
load("~/Dropbox/Courses/SISG2022/metabolites_demo.Rdata")

# Obtain edgelist from graphite databases. To be used within prepareAdjMat
edges <- obtainEdgeList(rownames(data), 
                       databases = c("kegg", "pathbank", "reactome", "biocarta", 
                                     "nci", "panther", "pharmgkb", "smpdb"))
# Construct adjacency matrices
adj_mats <- prepareAdjMat(data, groups, edges, TRUE)

# Tests the significance of pre-defined sets of genes (pathways) based on the underlying biological networks
res  <- NetGSA(adj_mats$Adj, data, groups, pathways, "REHE")

# View pathways statistics
View(res$results)

# Visualization in two ways
# With Cytoscape open - use cytoscape
# Can generated legend with cytoscape color in R
plot.NetGSA(res)
formatPathways(res, "Glycerolipid metabolism")

# With Cytoscape closed - use 3D igraph
plot(res)
zoomPathway(res, "Glycerolipid metabolism")

